Bug 849357 - internal-error: extract_typed_address: type is not a pointer or reference
internal-error: extract_typed_address: type is not a pointer or reference
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 14:45 EDT by Robin Green
Modified: 2012-12-20 11:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:10:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (15.79 KB, application/octet-stream)
2012-08-18 14:45 EDT, Robin Green
no flags Details

  None (edit)
Description Robin Green 2012-08-18 14:45:08 EDT
Created attachment 605370 [details]
backtrace

Description of problem:
I ran the command policytool (from OpenJDK) and it crashed on startup. I then used abrt to report the bug using the retrace server, and the retrace server failed. I then told abrt to use a local gdb to generate the backtrace, which it did, but then gdb crashed - see attached backtrace.

The full gdb command line was:
gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/bin/policytool' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 2048 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble

Version-Release number of selected component (if applicable):
gdb-7.4.91.20120801-17.fc18.x86_64

How reproducible:
Haven't tried
Comment 1 Tom Tromey 2012-09-12 16:45:10 EDT
It is trying to print the vtable here.
My current theory is that this code should be checking
TYPE_VPTR_BASETYPE, but is not.  I'm testing this.
Comment 2 Tom Tromey 2012-09-13 10:16:38 EDT
That was the problem.  Patch submitted:
http://sourceware.org/ml/gdb-patches/2012-09/msg00243.html
Comment 3 Tom Tromey 2012-09-27 14:23:44 EDT
Patch went in upstream.
Comment 4 Fedora Update System 2012-09-27 15:03:56 EDT
gdb-7.5.0.20120926-23.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gdb-7.5.0.20120926-23.fc18
Comment 5 Fedora Update System 2012-09-28 13:22:08 EDT
Package gdb-7.5.0.20120926-23.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.5.0.20120926-23.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15025/gdb-7.5.0.20120926-23.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-05 10:10:42 EDT
gdb-7.5.0.20120926-25.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gdb-7.5.0.20120926-25.fc18
Comment 7 Fedora Update System 2012-12-20 11:10:08 EST
gdb-7.5.0.20120926-23.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.